package org.oasisopen.sca.spi;

import org.oasisopen.sca.SCAClient;
import org.oasisopen.sca.SCAClientFactory;

/**
 * This is the interface that a SCA Runtime Provider should implement for constructing
 * implementation specific instances of SCAClient.
 * 
 * @see SCAClientFactory
 * 
 * @author OASIS Open
 */
public interface SCAClientFactorySPI {

    SCAClient createSCAClient();

}
